[op25-dev] OP25 Install on Arch Linux Failing [1 Attachment]

Mark Tomlin dygear@gmail.com [op25-dev] op25-dev at yahoogroups.com
Sat Mar 4 12:22:53 UTC 2017


I ran the following commands a couple of minutes ago after installing the
dependencies. (Except for DOXYGEN_EXECUTABLE, that you'll see me
install.) It's failing with the following message under the *Scanning
dependencies of target imbe_vocoder*.

[ 54%] Building CXX object
op25/gr-op25_repeater/lib/imbe_vocoder/CMakeFiles/imbe_vocoder.dir/pitch_est.cc.o
/*home/dygear/op25/op25/gr-op25_repeater/lib/imbe_vocoder/pitch_est.cc:60:1:
error:* narrowing conversion of ‘*32970*’ from ‘*int*’ to ‘*Word16 {aka
short int}*’ inside { } [*-Wnarrowing*]
 *}*;
 *^*

... Many many errors snipped from output ...


*/home/dygear/op25/op25/gr-op25_repeater/lib/imbe_vocoder/pitch_est.cc:60:1:
error:* narrowing conversion of ‘*39626*’ from ‘*int*’ to ‘*Word16 {aka
short int}*’ inside { } [*-Wnarrowing*]
make[2]: ***
[op25/gr-op25_repeater/lib/imbe_vocoder/CMakeFiles/imbe_vocoder.dir/build.make:327:
op25/gr-op25_repeater/lib/imbe_vocoder/CMakeFiles/imbe_vocoder.dir/pitch_est.cc.o]
Error 1
make[1]: *** [CMakeFiles/Makefile2:581:
op25/gr-op25_repeater/lib/imbe_vocoder/CMakeFiles/imbe_vocoder.dir/all]
Error 2
make: *** [Makefile:128: all] Error 2


Attached is the whole command set.
-- 
Thank you for your time,
Mark 'Dygear' Tomlin;
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.osmocom.org/pipermail/op25-dev/attachments/20170304/a76d4e5b/attachment.html>


More information about the op25-dev mailing list